# OceanRobots.jl

Simulation, processing, and analysis of data generated by scientific robots in the Ocean. These include profiling floats (Argo), drifters (GDP), and moorings for examples.

!!! warning	
    This package is in early developement stage when breaking changes can be expected._

In the [Examples](@ref) section you will find:

- [example\_NWP\_NOAA.jl](examples/example_NWP_NOAA.html) (➭ [code link](https://raw.githubusercontent.com/gaelforget/OceanRobots.jl/master/examples/example_NWP_NOAA.jl)) displays [NOAA station](https://www.ndbc.noaa.gov/) data
- [example\_WHOTS.jl](examples/example_WHOTS.html) (➭ [code link](https://raw.githubusercontent.com/gaelforget/OceanRobots.jl/master/examples/example_WHOTS.jl)) displays [WHOTS mooring](http://www.soest.hawaii.edu/whots/wh_data.html) data
- [example\_GDP.jl](examples/example_GDP.html) (➭ [code link](https://raw.githubusercontent.com/gaelforget/OceanRobots.jl/master/examples/example_GDP.jl)) displays a [drifter](https://www.aoml.noaa.gov/phod/gdp/hourly_data.php) time series
- [example\_Argo.jl](examples/example_Argo.html) (➭ [code link](https://raw.githubusercontent.com/gaelforget/OceanRobots.jl/master/examples/example_Argo.jl)) shows data from an [Argo](https://argo.ucsd.edu) profiling float

For Argo data, please refer to the companion package [ArgoData.jl](https://github.com/JuliaOcean/ArgoData.jl)

## Graphical Examples

Argo Float Profiles             |  Argo Float Track
:------------------------------:|:---------------------------------:
![](https://user-images.githubusercontent.com/20276764/150622766-aee5773d-7fea-4360-9b47-05f68e235499.png)  |  ![](https://user-images.githubusercontent.com/20276764/150622726-61169b99-4320-4069-b113-5edabb9b64fe.png)
Surface Drifter Track | Mooring Time series 
![](https://user-images.githubusercontent.com/20276764/149673826-a43e2a44-f4e5-437b-99cb-5e032228b3af.png) | ![](https://user-images.githubusercontent.com/20276764/149675305-82364bde-e3a9-4975-8fb2-fb67e17dacc5.png)

## Functionalities

```@index
```

```@autodocs
Modules = [OceanRobots]
```
